Subject: bug#78495: closed (Re: bug#78495: gnome shell not launching...?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 May 2025 05:21:03 +0000

Your bug report

#78495: gnome shell not launching...?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78495: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78495
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78495: gnome shell not launching...?
From: Christopher Howard <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 May 2025 21:19:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, a few hours before I got this e-mail, I tried switching over to Wayland, and everything appears to be working fine using the latest linux-libre kernel. So I guess the short answer is that X11 Gnome support is broken. I originally had disabled Wayland because it made Gnome Shell run very slowly on my computer. But it seems to be running fast and smoothly now. Not sure what changed.

This is a slightly different issue than what I previously reported. But if the Gnome project doesn't care about X11 anymore, I suppose there is no point to keeping this bug open.

-- 
Christopher Howard

Subject: gnome shell not launching...?
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Mon, 19 May 2025 08:04:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On this computer, I use gnome-desktop-environment. Last Friday I attempted a system reconfigure. GDM comes up as expected, and I am able to login. But instead of getting Gnome Shell, I just get an empty X display with a cursor and nothing to click on. The usual Gnome Shell keyboard shortcuts like Alt-F2 do not do anything.

I adjusted my config file to use a version 5 linux-libre, and reconfigured, but I got the same results after a reboot.

This computer is not the latest and greatest model, but I think it should be new enough not to have problems running Gnome Shell.

Pleased see attached log files and config file, which hopefully are helpful.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.13.7-gnu 
Uptime: 3 days, 20 hours, 31 mins 
Packages: 159 (guix-system) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kgx 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 5012MiB / 15906MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ